.TH "pyspottedunipd.text.cli" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.text.cli \- 
.SH SYNOPSIS
.br
.PP
.SS "Functions"

.in +1c
.ti -1c
.RI "def \fBcreate_args\fP ()"
.br
.ti -1c
.RI "def \fBparse_args\fP (parser)"
.br
.ti -1c
.RI "def \fBcheck_args\fP (path_in)"
.br
.ti -1c
.RI "def \fBget_words\fP (string, min_length=0, blacklist=[])"
.br
.ti -1c
.RI "def \fBget_words_in_file\fP (path_in)"
.br
.ti -1c
.RI "def \fBget_words_count\fP (words)"
.br
.ti -1c
.RI "def \fBget_top_words\fP (words, n=10)"
.br
.ti -1c
.RI "def \fBget_top_words_in_file\fP (path_in, blacklist_file, n=30)"
.br
.ti -1c
.RI "def \fBmain\fP ()"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBWORDS_BLACKLIST_FIlE\fP"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "def pyspottedunipd\&.text\&.cli\&.check_args ( path_in)"

.PP
.nf
:param path_in: str
    Path to input file
:return: bool
    True iff args are correct

.fi
.PP
 
.PP
Definition at line 53 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.create_args ()"

.PP
.nf
:return: ArgumentParser
    Parser that handles cmd arguments.

.fi
.PP
 
.PP
Definition at line 28 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.get_top_words ( words,  n = \fC10\fP)"

.PP
.nf
:param words: [] of str
    List of words to analyze
:param n: int
    Top words to get
:return: [] of str
    Top words in list

.fi
.PP
 
.PP
Definition at line 108 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.get_top_words_in_file ( path_in,  blacklist_file,  n = \fC30\fP)"

.PP
.nf
:param path_in: str
    Path to input file
:param blacklist_file:str
    Path to blacklist file
:param n: int
    Top words to get
:return: [] of str
    Top words in file

.fi
.PP
 
.PP
Definition at line 122 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.get_words ( string,  min_length = \fC0\fP,  blacklist = \fC[]\fP)"

.PP
.nf
:param string: str
    String
:param min_length: int
    Minimum length of words to consider
:param blacklist: [] of str
    List of blacklisted words (not to be considered)
:return: [] of str
    List of words in string

.fi
.PP
 
.PP
Definition at line 66 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.get_words_count ( words)"

.PP
.nf
:param words: [] of str
    List of words to analyze
:return: [] of str
    Dictionary <word, quantity> sorted by quantity

.fi
.PP
 
.PP
Definition at line 96 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.get_words_in_file ( path_in)"

.PP
.nf
:param path_in: str
    Path to input file
:return: [] of str
    List of words in file

.fi
.PP
 
.PP
Definition at line 84 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.main ()"

.PP
Definition at line 139 of file cli\&.py\&.
.SS "def pyspottedunipd\&.text\&.cli\&.parse_args ( parser)"

.PP
.nf
:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.

.fi
.PP
 
.PP
Definition at line 40 of file cli\&.py\&.
.SH "Variable Documentation"
.PP 
.SS "pyspottedunipd\&.text\&.cli\&.WORDS_BLACKLIST_FIlE"
\fBInitial value:\fP
.PP
.nf
1 = os\&.path\&.join(os\&.path\&.dirname(os\&.path\&.realpath(__file__)),
2                                     "words_blacklist\&.txt")
.fi
.PP
Definition at line 24 of file cli\&.py\&.
.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
